#include<stdio.h>

FILE *fin,*fout;

int n,k,z[200000],g[200000],i,u,r;

int main()
{
 fin=fopen("porez.in", "r");
 fout=fopen("porez.out", "w");
 fscanf(fin,"%d%d",&n,&k);
 for(i=0;i<n;i++)
 {
  fscanf(fin,"%d",&z[i]);
  u+=z[i];
 }
 for(i=1;i<n;i++)
 {
  fscanf(fin,"%d",&g[i]);
 }
 if(u%k==0)
  r=u/k;
 else 
  r=u/k+1;
 fprintf(fout,"%d",r);
 return 0;
}
